Bug 439797 - System Settings crashes in KCMLookandFeel::knsEntryChanged() when I try to update a global theme via GHNS window of Global Theme KCM
Summary: System Settings crashes in KCMLookandFeel::knsEntryChanged() when I try to up...
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_lookandfeel (show other bugs)
Version: 5.23.0
Platform: Neon Packages Linux
: VHI crash with 30 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi, regression
: 443857 444019 444074 444626 444644 444827 444874 445025 445066 445386 445704 445768 445914 446018 446058 446100 446504 446626 446713 446799 446812 446861 446942 447231 447239 447411 447412 447413 447414 447676 447759 447910 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-07-13 11:28 UTC by Patrick Silva
Modified: 2022-01-10 16:21 UTC (History)
47 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.5


Attachments
New crash information added by DrKonqi (35.16 KB, text/plain)
2021-10-18 00:07 UTC, Kalzi
Details
Settings crashes when downloading a new theme (34.54 KB, text/vnd.kde.kcrash-report)
2021-10-18 00:10 UTC, Kalzi
Details
New crash information added by DrKonqi (29.57 KB, text/plain)
2021-10-22 21:52 UTC, Saul
Details
New crash information added by DrKonqi (11.88 KB, text/plain)
2021-10-23 07:26 UTC, Raphael Marion Pilgrim
Details
New crash information added by DrKonqi (29.02 KB, text/plain)
2021-10-24 23:33 UTC, me
Details
New crash information added by DrKonqi (45.95 KB, text/plain)
2021-10-26 16:41 UTC, bepri
Details
New crash information added by DrKonqi (28.93 KB, text/plain)
2021-10-26 22:01 UTC, Saul
Details
New crash information added by DrKonqi (4.10 KB, text/plain)
2021-11-13 10:24 UTC, C.
Details
New crash information added by DrKonqi (11.91 KB, text/plain)
2021-11-20 08:51 UTC, stakanov.s
Details
New crash information added by DrKonqi (8.86 KB, text/plain)
2021-11-27 19:43 UTC, brianjbutler4561
Details
New crash information added by DrKonqi (34.98 KB, text/plain)
2021-12-06 14:40 UTC, cristianj_20
Details
New crash information added by DrKonqi (24.70 KB, text/plain)
2021-12-07 05:55 UTC, Petar Petrov
Details
New crash information added by DrKonqi (26.13 KB, text/plain)
2021-12-07 19:14 UTC, edukj
Details
New crash information added by DrKonqi (13.34 KB, text/plain)
2021-12-09 04:06 UTC, Tony
Details
New crash information added by DrKonqi (11.84 KB, text/plain)
2021-12-20 06:01 UTC, Jake
Details
New crash information added by DrKonqi (29.09 KB, text/plain)
2021-12-24 17:00 UTC, Carlos Castro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-07-13 11:28:50 UTC
Application: systemsettings5 (5.22.80)

Qt Version: 5.15.3
Frameworks Version: 5.85.0
Operating System: Linux 5.8.0-59-generic x86_64
Windowing System: Wayland
Distribution: KDE neon Unstable Edition
DrKonqi: 5.22.80 [CoredumpBackend]

-- Information about the crash:
- What I was doing when the application crashed:
A update to Sweet global theme is available on my system, System Settings crashes every time I try to install it via GHNS window of
Global Theme KCM.

The crash can be reproduced every time.

-- Backtrace:
Application: System Settings (systemsettings5), signal: Segmentation fault
Content of s_kcrashErrorMessage: [Current thread is 1 (Thread 0x7f8ebda489c0 (LWP 19754))]
[New LWP 19754]
[New LWP 19776]
[New LWP 19777]
[New LWP 19861]
[New LWP 19775]
[New LWP 19833]
[New LWP 19829]
[New LWP 19827]
[New LWP 19823]
[New LWP 19779]
[New LWP 19778]
[New LWP 19826]
[New LWP 19781]
[New LWP 19828]
[New LWP 19825]
[New LWP 19830]
[New LWP 19834]
[New LWP 19780]
[New LWP 19831]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/bin/systemsettings5'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI_raise (sig=sig@entry=11) at ../sysdeps/unix/sysv/linux/raise.c:50
[Current thread is 1 (Thread 0x7f8ebda489c0 (LWP 19754))]

Thread 19 (Thread 0x7f8e7effd700 (LWP 19831)):
#0  0x00007f8ec2203bf6 in __ppoll (fds=fds@entry=0x7f8e7effc8a8, nfds=nfds@entry=1, timeout=<optimized out>, timeout@entry=0x7f8e7effc840, sigmask=sigmask@entry=0x0) at ../sysdeps/unix/sysv/linux/ppoll.c:44
#1  0x00007f8ec27ccde0 in ppoll (__ss=<optimized out>, __timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/poll2.h:77
#2  qt_ppoll (timeout_ts=0x7f8e7effc840, nfds=1, fds=0x7f8e7effc8a8) at kernel/qcore_unix.cpp:132
#3  qt_ppoll (timeout_ts=0x7f8e7effc840, nfds=1, fds=0x7f8e7effc8a8) at kernel/qcore_unix.cpp:129
#4  qt_safe_poll(pollfd*, unsigned long, timespec const*) (fds=fds@entry=0x7f8e7effc8a8, nfds=nfds@entry=1, timeout_ts=0x7f8e7effc8c0) at kernel/qcore_unix.cpp:164
#5  0x00007f8ebfeba6bb in qt_poll_msecs (timeout=<optimized out>, nfds=<optimized out>, fds=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/5.15.3/QtCore/private/qcore_unix_p.h:381
#6  QtWaylandClient::QWaylandDisplay::dispatchQueueWhile(wl_event_queue*, std::function<bool ()>, int) (this=0x55de07dda630, queue=0x55de183a4b80, condition=..., timeout=timeout@entry=100) at qwaylanddisplay.cpp:287
#7  0x00007f8ebfec1cf2 in QtWaylandClient::QWaylandWindow::waitForFrameSync(int) (this=0x55de18eda6a0, timeout=100) at /usr/include/c++/9/new:174
#8  0x00007f8ebc6b7dea in QtWaylandClient::QWaylandGLContext::swapBuffers(QPlatformSurface*) (this=0x55de1a4fe170, surface=<optimized out>) at ../../../../hardwareintegration/client/wayland-egl/qwaylandglcontext.cpp:500
#9  0x00007f8ec2cccb31 in QOpenGLContext::swapBuffers(QSurface*) (this=0x55de18538aa0, surface=<optimized out>) at kernel/qopenglcontext.cpp:1120
#10 0x00007f8ec199f1bc in QSGRenderThread::syncAndRender(QImage*) (this=0x55de15bebb80, grabImage=0x0) at scenegraph/qsgthreadedrenderloop.cpp:870
#11 0x00007f8ec19a2f77 in QSGRenderThread::run() (this=0x55de15bebb80) at scenegraph/qsgthreadedrenderloop.cpp:1043
#12 0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de15bebb80) at thread/qthread_unix.cpp:329
#13 0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#14 0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f8eb4985700 (LWP 19780)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x7f8e98004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f8e98004e60, timeout=<optimized out>, context=0x7f8e98000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8e98000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x7f8e98000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec27d0fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8e98000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8ec277525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8eb4984bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f8ec258ec22 in QThread::exec() (this=this@entry=0x55de08390f50) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8ec1628559 in QQmlThreadPrivate::run() (this=0x55de08390f50) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de08390f50) at thread/qthread_unix.cpp:329
#9  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f8e7dbfb700 (LWP 19834)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x7f8e6801b3c0, nfds=6, timeout=81748) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=6, fds=0x7f8e6801b3c0, timeout=<optimized out>, context=0x7f8e68000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8e68000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x7f8e68000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec27d0fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8e68000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8ec277525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8e7dbfaba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f8ec258ec22 in QThread::exec() (this=this@entry=0x55de19374440) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8ec18dd3ba in QQuickPixmapReader::run() (this=0x55de19374440) at util/qquickpixmapcache.cpp:1024
#8  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de19374440) at thread/qthread_unix.cpp:329
#9  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f8e7f7fe700 (LWP 19830)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f8e7f7fdb50, clockid=<optimized out>, expected=0, futex_word=0x7f8e74005da0) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f8e7f7fdb50, clockid=<optimized out>, mutex=0x7f8e74005d50, cond=0x7f8e74005d78) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7f8e74005d78, mutex=0x7f8e74005d50, abstime=0x7f8e7f7fdb50) at pthread_cond_wait.c:665
#3  0x00007f8ec2595eb8 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x7f8e74005d50, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x7f8e74005d50) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x7f8e74005ac0, mutex=mutex@entry=0x7f8e74005758, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f8ec25933c1 in QThreadPoolThread::run() (this=0x7f8e74005ab0) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x7f8e74005ab0) at thread/qthread_unix.cpp:329
#8  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f8e8f742700 (LWP 19825)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x55de186fae20, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x55de186fae20, timeout=<optimized out>, context=0x55de186febf0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x55de186febf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x55de186febf0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec03004f1 in glib_worker_main (data=<optimized out>) at ../../../glib/gmain.c:5996
#5  0x00007f8ec0329ad1 in g_thread_proxy (data=0x55de07dc5f60) at ../../../glib/gthread.c:807
#6  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f8e8ceaf700 (LWP 19828)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x7f8e78004a30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f8e78004a30, timeout=<optimized out>, context=0x7f8e78000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8e78000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x7f8e78000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec27d0fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8e78000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8ec277525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8e8ceaebe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f8ec258ec22 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de1a0cfec0) at thread/qthread_unix.cpp:329
#8  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f8ead7aa700 (LWP 19781)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x7f8e9c004a60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f8e9c004a60, timeout=<optimized out>, context=0x7f8e9c000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8e9c000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x7f8e9c000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec27d0fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8e9c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8ec277525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8ead7a9bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f8ec258ec22 in QThread::exec() (this=this@entry=0x55de084adb70) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8ec1628559 in QQmlThreadPrivate::run() (this=0x55de084adb70) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de084adb70) at thread/qthread_unix.cpp:329
#9  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f8e8ef41700 (LWP 19826)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x55de18713290, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x55de18713290, timeout=<optimized out>, context=0x55de18710b90) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=0x55de18710b90, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03006f3 in g_main_loop_run (loop=0x55de18710c80) at ../../../glib/gmain.c:4241
#4  0x00007f8e8f8c7f8a in gdbus_shared_thread_func (user_data=0x55de18710b60) at ../../../gio/gdbusprivate.c:279
#5  0x00007f8ec0329ad1 in g_thread_proxy (data=0x55de187076a0) at ../../../glib/gthread.c:807
#6  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f8eb5fab700 (LWP 19778)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55de07fc1268) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55de07fc1218, cond=0x55de07fc1240) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55de07fc1240, mutex=0x55de07fc1218) at pthread_cond_wait.c:647
#3  0x00007f8eb6d07e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f8eb6d07a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f8eb57aa700 (LWP 19779)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55de07fc1268) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55de07fc1218, cond=0x55de07fc1240) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55de07fc1240, mutex=0x55de07fc1218) at pthread_cond_wait.c:647
#3  0x00007f8eb6d07e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f8eb6d07a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f8e97fff700 (LWP 19823)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x7f8e90077dd0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f8e90077dd0, timeout=<optimized out>, context=0x7f8e900c7330) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8e900c7330, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x7f8e900c7330, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec27d0fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8e900f9390, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8ec277525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8e97ffebc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f8ec258ec22 in QThread::exec() (this=this@entry=0x55de1119dfd0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8ec1628559 in QQmlThreadPrivate::run() (this=0x55de1119dfd0) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de1119dfd0) at thread/qthread_unix.cpp:329
#9  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f8e8e51d700 (LWP 19827)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x7f8e840041d0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f8e840041d0, timeout=<optimized out>, context=0x7f8e84000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8e84000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x7f8e84000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec27d0fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8e84000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8ec277525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8e8e51cbc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f8ec258ec22 in QThread::exec() (this=this@entry=0x55de15beabc0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8ec1628559 in QQmlThreadPrivate::run() (this=0x55de15beabc0) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de15beabc0) at thread/qthread_unix.cpp:329
#9  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f8e7ffff700 (LWP 19829)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x7f8e740046b0, nfds=2, timeout=112610) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=2, fds=0x7f8e740046b0, timeout=<optimized out>, context=0x7f8e74000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8e74000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x7f8e74000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec27d0fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8e74000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8ec277525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8e7fffebe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f8ec258ec22 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de17f53280) at thread/qthread_unix.cpp:329
#8  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f8e7e3fc700 (LWP 19833)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x7f8e640348c0, nfds=1, timeout=134596) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f8e640348c0, timeout=<optimized out>, context=0x7f8e64000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8e64000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x7f8e64000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec27d0fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8e64000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8ec277525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8e7e3fbbe0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f8ec258ec22 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de15d024c0) at thread/qthread_unix.cpp:329
#8  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f8ebcec0700 (LWP 19775)):
#0  0x00007f8ec2203aff in __GI___poll (fds=0x7f8eb8017e20, nfds=4, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f8ec030036e in g_main_context_poll (priority=<optimized out>, n_fds=4, fds=0x7f8eb8017e20, timeout=<optimized out>, context=0x7f8eb8000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8eb8000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f8ec03004a3 in g_main_context_iteration (context=0x7f8eb8000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f8ec27d0fb2 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8eb8000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f8ec277525b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8ebcebfbb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f8ec258ec22 in QThread::exec() (this=this@entry=0x7f8ec12c7d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8ec1243f4b in QDBusConnectionManager::run() (this=0x7f8ec12c7d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x7f8ec12c7d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#9  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f8e7d27a700 (LWP 19861)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f8e7d279b50, clockid=<optimized out>, expected=0, futex_word=0x55de18eafb10) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f8e7d279b50, clockid=<optimized out>, mutex=0x55de18eafac0, cond=0x55de18eafae8) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x55de18eafae8, mutex=0x55de18eafac0, abstime=0x7f8e7d279b50) at pthread_cond_wait.c:665
#3  0x00007f8ec2595eb8 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x55de18eafac0, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55de18eafac0) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x55de1a3d9f30, mutex=mutex@entry=0x55de0e1f85b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f8ec25933c1 in QThreadPoolThread::run() (this=0x55de1a3d9f20) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f8ec258fdbc in QThreadPrivate::start(void*) (arg=0x55de1a3d9f20) at thread/qthread_unix.cpp:329
#8  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f8eadfab700 (LWP 19777)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55de07fc1268) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55de07fc1218, cond=0x55de07fc1240) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55de07fc1240, mutex=0x55de07fc1218) at pthread_cond_wait.c:647
#3  0x00007f8eb6d07e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f8eb6d07a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f8eb67ac700 (LWP 19776)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55de07fc1268) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55de07fc1218, cond=0x55de07fc1240) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55de07fc1240, mutex=0x55de07fc1218) at pthread_cond_wait.c:647
#3  0x00007f8eb6d07e6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007f8eb6d07a6b in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007f8ec0cbf609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f8ec2210293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f8ebda489c0 (LWP 19754)):
[KCrash Handler]
#3  0x00007f8ec268e34d in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#4  0x00007f8ec26a24e7 in QFileInfoPrivate::QFileInfoPrivate(QString const&) (file=..., this=0x55de0e0d9b30) at /usr/include/c++/9/bits/atomic_base.h:279
#5  QFileInfo::QFileInfo(QString const&) (this=0x7ffda0bac4c8, file=...) at io/qfileinfo.cpp:347
#6  0x00007f8eac3f44f4 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#7  KCMLookandFeel::knsEntryChanged(KNSCore::EntryWrapper*) (this=0x55de11137db0, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:138
#8  0x00007f8eac3f05c4 in KCMLookandFeel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x55de11137db0, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=5, _a=_a@entry=0x7ffda0bac6b0) at ./obj-x86_64-linux-gnu/kcms/lookandfeel/kcm_lookandfeel_static_autogen/EWIEGA46WW/moc_kcm.cpp:128
#9  0x00007f8eac3f09f3 in KCMLookandFeel::qt_metacall(QMetaObject::Call, int, void**) (this=0x55de11137db0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7ffda0bac6b0) at ./obj-x86_64-linux-gnu/kcms/lookandfeel/kcm_lookandfeel_static_autogen/EWIEGA46WW/moc_kcm.cpp:214
#10 0x00007f8ec15bbbf5 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=this@entry=0x7ffda0bac9f0, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=43, argv=<optimized out>) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#11 0x00007f8ec1484765 in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=<optimized out>, returnType=returnType@entry=43, argCount=<optimized out>, argTypes=<optimized out>, engine=engine@entry=0x55de13eea440, callArgs=<optimized out>, callType=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1301
#12 0x00007f8ec1486867 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=engine@entry=0x55de13eea440, callArgs=callArgs@entry=0x7f8e973c05b8, callType=callType@entry=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.15.3/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#13 0x00007f8ec148775a in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=1) at jsruntime/qv4qobjectwrapper.cpp:2131
#14 0x00007f8ec14b791b in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=1, argv=0x7f8e973c0550, thisObject=0x7f8e973c0568, this=0x7ffda0bacb58) at jsruntime/qv4functionobject_p.h:172
#15 QV4::Runtime::CallPropertyLookup::call(QV4::ExecutionEngine*, QV4::Value const&, unsigned int, QV4::Value*, int) (engine=0x55de13eea440, base=..., index=<optimized out>, argv=0x7f8e973c0550, argc=1) at jsruntime/qv4runtime.cpp:1460
#16 0x00007f8e8f9d78b0 in  ()
#17 0x0000000000000000 in  ()

Possible duplicates by query: bug 398269.

Reported using DrKonqi
Comment 1 Nate Graham 2021-10-17 23:28:43 UTC
*** Bug 443857 has been marked as a duplicate of this bug. ***
Comment 2 Nate Graham 2021-10-17 23:29:08 UTC
Dan, could you take a look?
Comment 3 Kalzi 2021-10-18 00:07:59 UTC
Created attachment 142554 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.0) using Qt 5.15.3

- What I was doing when the application crashed:
Tried to download Nordic theme. Half way then the system settings crashed. This happens every single time. It was happening on 5.22+ and now on 5.23, too.

-- Backtrace (Reduced):
#4  0x00007f697ef269cd in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#5  0x00007f697ef3ab67 in QFileInfoPrivate::QFileInfoPrivate(QString const&) (file=..., this=0x555fd36e1920) at /usr/include/c++/9/bits/atomic_base.h:279
#6  QFileInfo::QFileInfo(QString const&) (this=0x7ffcfffaeb78, file=...) at io/qfileinfo.cpp:347
#7  0x00007f6929add114 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#8  KCMLookandFeel::knsEntryChanged(KNSCore::EntryWrapper*) (this=0x555fd1340f40, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:126
Comment 4 Kalzi 2021-10-18 00:10:07 UTC
Created attachment 142555 [details]
Settings crashes when downloading a new theme

This bug still happens on 5.23
Comment 5 Nate Graham 2021-10-20 14:53:10 UTC
*** Bug 444019 has been marked as a duplicate of this bug. ***
Comment 6 Nate Graham 2021-10-20 15:04:05 UTC
*** Bug 444074 has been marked as a duplicate of this bug. ***
Comment 7 Nate Graham 2021-10-20 15:04:30 UTC
We seem to be getting an elevated number of reports from 5.23.
Comment 8 Nate Graham 2021-10-21 15:14:33 UTC
*** Bug 443857 has been marked as a duplicate of this bug. ***
Comment 9 Saul 2021-10-22 21:52:23 UTC
Created attachment 142770 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.1) using Qt 5.15.3

The system preferences application closes unexpectedly every time I try to install a new theme.

-- Backtrace (Reduced):
#4  0x00007f7cb2d259cd in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#5  0x00007f7cb2d39b67 in QFileInfoPrivate::QFileInfoPrivate (file=..., this=0x562200805fc0) at /usr/include/c++/9/bits/atomic_base.h:279
#6  QFileInfo::QFileInfo (this=0x7ffe1ca430c8, file=...) at io/qfileinfo.cpp:347
#7  0x00007f7c75d9b134 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#8  KCMLookandFeel::knsEntryChanged (this=0x5621f7e63a40, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:126
Comment 10 Raphael Marion Pilgrim 2021-10-23 07:26:51 UTC
Created attachment 142781 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.0) using Qt 5.15.2

- What I was doing when the application crashed:
The software crashed while installing a global theme from the KDE plasma theme downloader applet.

-- Backtrace (Reduced):
#6  0x00007fb448b37769 in QDir::fromNativeSeparators(QString const&) () at io/qdir.cpp:930
#7  0x00007fb448b4b2f5 in QFileInfoPrivate::QFileInfoPrivate (file=..., this=0x559f59357320) at /usr/include/c++/11/bits/atomic_base.h:338
#8  QFileInfo::QFileInfo (this=this@entry=0x7ffcff7b6950, file=...) at io/qfileinfo.cpp:347
#9  0x00007fb43815f1c4 in operator() (__closure=<synthetic pointer>) at /usr/src/debug/plasma5-workspace-5.23.0-2.1.x86_64/kcms/lookandfeel/kcm.cpp:117
#10 KCMLookandFeel::knsEntryChanged (wrapper=<optimized out>, this=0x559f5775eef0) at /usr/src/debug/plasma5-workspace-5.23.0-2.1.x86_64/kcms/lookandfeel/kcm.cpp:126
Comment 11 me 2021-10-24 23:33:50 UTC
Created attachment 142838 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.1) using Qt 5.15.3

- What I was doing when the application crashed:
Installing new global theme from theme store on Xorg with Neon User Edition

-- Backtrace (Reduced):
#4  0x00007fc0f89dd9cd in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#5  0x00007fc0f89f1b67 in QFileInfoPrivate::QFileInfoPrivate(QString const&) (file=..., this=0x564d3ea1d1f0) at /usr/include/c++/9/bits/atomic_base.h:279
#6  QFileInfo::QFileInfo(QString const&) (this=0x7ffc3cbc99a8, file=...) at io/qfileinfo.cpp:347
#7  0x00007fc0f0565134 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#8  KCMLookandFeel::knsEntryChanged(KNSCore::EntryWrapper*) (this=0x564d3c8a5d80, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:126
Comment 12 bepri 2021-10-26 16:41:36 UTC
Created attachment 142912 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.1) using Qt 5.15.3

- What I was doing when the application crashed:
I was attempting to install a new theme, Polarnight-dark, from the Global Theme marketplace in System Settings. It hung for a very long time, far longer than any other theme I've installed, and then crashed. Strangely, Polarnight-dark successfully installed and can now be selected, despite the crash.

-- Backtrace (Reduced):
#4  0x00007efe610bb9cd in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#5  0x00007efe610cfb67 in QFileInfoPrivate::QFileInfoPrivate (file=..., this=0x5628f5a6c1e0) at /usr/include/c++/9/bits/atomic_base.h:279
#6  QFileInfo::QFileInfo (this=0x7fffc2c5f198, file=...) at io/qfileinfo.cpp:347
#7  0x00007efe1c5d9134 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#8  KCMLookandFeel::knsEntryChanged (this=0x5628f4392710, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:126
Comment 13 Saul 2021-10-26 22:01:52 UTC
Created attachment 142925 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.2) using Qt 5.15.3

- What I was doing when the application crashed:
Downloaded a new theme

- Custom settings of the application:
Aspect- Global Theme

-- Backtrace (Reduced):
#4  0x00007f3559d079fd in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#5  0x00007f3559d1bb97 in QFileInfoPrivate::QFileInfoPrivate (file=..., this=0x556e40719e60) at /usr/include/c++/9/bits/atomic_base.h:279
#6  QFileInfo::QFileInfo (this=0x7ffff4a4dd58, file=...) at io/qfileinfo.cpp:347
#7  0x00007f3530d75134 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#8  KCMLookandFeel::knsEntryChanged (this=0x556e38133b80, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:126
Comment 14 Nate Graham 2021-11-01 15:32:11 UTC
*** Bug 444626 has been marked as a duplicate of this bug. ***
Comment 15 Nate Graham 2021-11-01 15:41:28 UTC
*** Bug 444644 has been marked as a duplicate of this bug. ***
Comment 16 David Redondo 2021-11-04 08:14:40 UTC
*** Bug 444874 has been marked as a duplicate of this bug. ***
Comment 17 David Redondo 2021-11-04 08:15:51 UTC
*** Bug 444827 has been marked as a duplicate of this bug. ***
Comment 18 Nate Graham 2021-11-08 21:51:44 UTC
*** Bug 445025 has been marked as a duplicate of this bug. ***
Comment 19 Nate Graham 2021-11-08 21:52:08 UTC
*** Bug 445066 has been marked as a duplicate of this bug. ***
Comment 20 Dipta Biswas 2021-11-09 15:24:55 UTC
Possibly related:
Application: systemsettings5 (5.23.2)

Qt Version: 5.15.2
Frameworks Version: 5.87.0
Operating System: Linux 5.14.16-zen1-1-zen x86_64
Windowing System: X11
Distribution: EndeavourOS
DrKonqi: 5.23.2 [KCrashBackend]

-- Information about the crash:
<In detail, tell us what you were doing  when the application crashed.>

The reporter is unsure if this crash is reproducible.

-- Backtrace:
Application: System Settings (systemsettings5), signal: Segmentation fault

[KCrash Handler]
#4  0x00007f48c21d8859 in QDir::fromNativeSeparators(QString const&) () at /usr/lib/libQt5Core.so.5
#5  0x00007f48c21ec907 in QFileInfo::QFileInfo(QString const&) () at /usr/lib/libQt5Core.so.5
#6  0x00007f488c340ed7 in  () at /usr/lib/qt/plugins/kcms/kcm_lookandfeel.so
#7  0x00007f488c33ea0b in  () at /usr/lib/qt/plugins/kcms/kcm_lookandfeel.so
#8  0x00007f48c1123c9e in  () at /usr/lib/libQt5Qml.so.5
#9  0x00007f48c0fff121 in  () at /usr/lib/libQt5Qml.so.5
#10 0x00007f48c1000f6b in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at /usr/lib/libQt5Qml.so.5
#11 0x00007f48c101e0c0 in  () at /usr/lib/libQt5Qml.so.5
#12 0x00007f48c1020dbf in  () at /usr/lib/libQt5Qml.so.5
#13 0x00007f48c0fb30df in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) () at /usr/lib/libQt5Qml.so.5
#14 0x00007f48c113ef36 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () at /usr/lib/libQt5Qml.so.5
#15 0x00007f48c10ef53d in QQmlBoundSignalExpression::evaluate(void**) () at /usr/lib/libQt5Qml.so.5
#16 0x00007f48c10f0799 in  () at /usr/lib/libQt5Qml.so.5
#17 0x00007f48c1123755 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /usr/lib/libQt5Qml.so.5
#18 0x00007f48c22fd308 in  () at /usr/lib/libQt5Core.so.5
#19 0x00007f487f0f9771 in  () at /usr/lib/qt/qml/org/kde/newstuff/libnewstuffqmlplugin.so
#20 0x00007f487f101d4b in  () at /usr/lib/qt/qml/org/kde/newstuff/libnewstuffqmlplugin.so
#21 0x00007f48c22fd7ab in  () at /usr/lib/libQt5Core.so.5
#22 0x00007f488c2661c7 in KNSCore::Engine::signalEntryEvent(KNSCore::EntryInternal const&, KNSCore::EntryInternal::EntryEvent) () at /usr/lib/libKF5NewStuffCore.so.5
#23 0x00007f48c22fd7ab in  () at /usr/lib/libQt5Core.so.5
#24 0x00007f488c265483 in KNSCore::Installation::signalEntryChanged(KNSCore::EntryInternal const&) () at /usr/lib/libKF5NewStuffCore.so.5
#25 0x00007f488c293dd0 in  () at /usr/lib/libKF5NewStuffCore.so.5
#26 0x00007f48c22fd7ab in  () at /usr/lib/libQt5Core.so.5
#27 0x00007f48c25cb0dd in KJob::result(KJob*, KJob::QPrivateSignal) () at /usr/lib/libKF5CoreAddons.so.5
#28 0x00007f48c25cc5cc in KJob::finishJob(bool) () at /usr/lib/libKF5CoreAddons.so.5
#29 0x00007f48c22f354f in QObject::event(QEvent*) () at /usr/lib/libQt5Core.so.5
#30 0x00007f48c2ec7d62 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#31 0x00007f48c22c63fa in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#32 0x00007f48c22c94f9 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/libQt5Core.so.5
#33 0x00007f48c231f9f4 in  () at /usr/lib/libQt5Core.so.5
#34 0x00007f48bfde94dc in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#35 0x00007f48bfe3d799 in  () at /usr/lib/libglib-2.0.so.0
#36 0x00007f48bfde6bc1 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#37 0x00007f48c231f026 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#38 0x00007f48c22c4d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/libQt5Core.so.5
#39 0x00007f48c22cd2d4 in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#40 0x00005612cc1d8954 in  ()
#41 0x00007f48c1c4cb25 in __libc_start_main () at /usr/lib/libc.so.6
#42 0x00005612cc1d96be in  ()
[Inferior 1 (process 11525) detached]

Report to https://bugs.kde.org/
Comment 21 Nate Graham 2021-11-12 23:02:25 UTC
*** Bug 445386 has been marked as a duplicate of this bug. ***
Comment 22 C. 2021-11-13 10:24:27 UTC
Created attachment 143509 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.3) using Qt 5.15.2

- What I was doing when the application crashed:
Installing a theme. Note that the theme is installed and can be used afterwards. However, it is not recognized as installed when filtering with "Show Only Installed Entries" and thus cannot be uninstalled this way.

-- Backtrace (Reduced):
#4  0x00007f96d529e859 in QDir::fromNativeSeparators(QString const&) () at /usr/lib/libQt5Core.so.5
#5  0x00007f96d52b2907 in QFileInfo::QFileInfo(QString const&) () at /usr/lib/libQt5Core.so.5
[...]
#10 0x00007f96d40f6f6b in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at /usr/lib/libQt5Qml.so.5
[...]
#13 0x00007f96d40a90df in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) () at /usr/lib/libQt5Qml.so.5
#14 0x00007f96d4234f36 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () at /usr/lib/libQt5Qml.so.5
Comment 23 stakanov.s 2021-11-20 08:51:57 UTC
Created attachment 143757 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.3) using Qt 5.15.2

- What I was doing when the application crashed:
Updating "Sweet global theme". 

- Unusual behavior I noticed:
immediate crash

- Custom settings of the application:
global theme "Sweet". TW opensuse

-- Backtrace (Reduced):
#6  0x00007f5edefc8799 in QDir::fromNativeSeparators(QString const&) () at io/qdir.cpp:930
#7  0x00007f5edefdc325 in QFileInfoPrivate::QFileInfoPrivate (file=..., this=0x55afba6770b0) at /usr/include/c++/11/bits/atomic_base.h:338
#8  QFileInfo::QFileInfo (this=this@entry=0x7ffeead2e9b0, file=...) at io/qfileinfo.cpp:347
#9  0x00007f5eac3f71d4 in operator() (__closure=<synthetic pointer>) at /usr/src/debug/plasma5-workspace-5.23.3-1.1.x86_64/kcms/lookandfeel/kcm.cpp:117
#10 KCMLookandFeel::knsEntryChanged (wrapper=<optimized out>, this=0x55afb6174bc0) at /usr/src/debug/plasma5-workspace-5.23.3-1.1.x86_64/kcms/lookandfeel/kcm.cpp:126
Comment 24 Wayne 2021-11-23 02:01:26 UTC
Me, too. I don't know how to fix it
Comment 25 Nate Graham 2021-11-23 17:41:11 UTC
*** Bug 445914 has been marked as a duplicate of this bug. ***
Comment 26 Nate Graham 2021-11-24 04:07:00 UTC
*** Bug 445704 has been marked as a duplicate of this bug. ***
Comment 27 Antonio Rojas 2021-11-24 07:19:23 UTC
*** Bug 446018 has been marked as a duplicate of this bug. ***
Comment 28 Antonio Rojas 2021-11-25 07:50:34 UTC
*** Bug 446058 has been marked as a duplicate of this bug. ***
Comment 29 brianjbutler4561 2021-11-27 19:43:25 UTC
Created attachment 144009 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.3) using Qt 5.15.2

- What I was doing when the application crashed:
After the most recent Kernel update, my desktop was experiencing graphical problems, including missing text in menus. I opened the system settings menu to switch from one global theme to another.

- Unusual behavior I noticed: 1. Graphical problems in Plasma menus, including missing text and garbled images, 2. System Settings crashes whenever I attempt to change between graphical settings, 3. Apps are much slower to open than before the update, and freeze the computer while they open.

-- Backtrace (Reduced):
#6  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=6, no_tid=no_tid@entry=0) at pthread_kill.c:44
#7  0x00007ff9a64af8c3 in __pthread_kill_internal (signo=6, threadid=<optimized out>) at pthread_kill.c:78
#8  0x00007ff9a64626b6 in __GI_raise (sig=sig@entry=6) at ../sysdeps/posix/raise.c:26
#9  0x00007ff9a644c7d3 in __GI_abort () at abort.c:79
#10 0x00007ff99127718f in _iris_batch_flush (batch=<optimized out>, file=<optimized out>, line=<optimized out>) at ../src/gallium/drivers/iris/iris_batch.c:776
Comment 30 Paul Worrall 2021-12-05 14:12:49 UTC
*** Bug 446504 has been marked as a duplicate of this bug. ***
Comment 31 David Edmundson 2021-12-06 05:33:04 UTC
*** Bug 446100 has been marked as a duplicate of this bug. ***
Comment 32 cristianj_20 2021-12-06 14:40:51 UTC
Created attachment 144266 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.3) using Qt 5.15.3

- What I was doing when the application crashed:
Installing a new theme from the store, when it's crash

-- Backtrace (Reduced):
#4  0x00007f25754829fd in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#5  0x00007f2575496b97 in QFileInfoPrivate::QFileInfoPrivate (file=..., this=0x55701d908bc0) at /usr/include/c++/9/bits/atomic_base.h:279
#6  QFileInfo::QFileInfo (this=0x7fff7e2c3b38, file=...) at io/qfileinfo.cpp:347
#7  0x00007f25162f4134 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#8  KCMLookandFeel::knsEntryChanged (this=0x55701c2318e0, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:126
Comment 33 Petar Petrov 2021-12-07 05:55:13 UTC
Created attachment 144292 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.4) using Qt 5.15.3

- What I was doing when the application crashed:
After trying to Install new global theme System Setting crashes.

-- Backtrace (Reduced):
#4  0x00007f736843e9fd in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#5  0x00007f7368452b97 in QFileInfoPrivate::QFileInfoPrivate (file=..., this=0x55c9b5a8fde0) at /usr/include/c++/9/bits/atomic_base.h:279
#6  QFileInfo::QFileInfo (this=0x7fff78105ea8, file=...) at io/qfileinfo.cpp:347
#7  0x00007f7359d0d134 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#8  KCMLookandFeel::knsEntryChanged (this=0x55c9b425b480, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:126
Comment 34 edukj 2021-12-07 19:14:08 UTC
Created attachment 144317 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.4) using Qt 5.15.3

- What I was doing when the application crashed:
I was installing Materia Dark theme through the system apps. It crashed after it asked for password authentication to make changes.

-- Backtrace (Reduced):
#4  0x00007f58d5e339fd in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#5  0x00007f58d5e47b97 in QFileInfoPrivate::QFileInfoPrivate (file=..., this=0x564fb1e65f40) at /usr/include/c++/9/bits/atomic_base.h:279
#6  QFileInfo::QFileInfo (this=0x7ffd1a8a7848, file=...) at io/qfileinfo.cpp:347
#7  0x00007f58ad118134 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#8  KCMLookandFeel::knsEntryChanged (this=0x7f58c8001c00, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:126
Comment 35 Yaroslav Sidlovsky 2021-12-08 11:09:36 UTC
Crashed happens here: https://invent.kde.org/plasma/plasma-workspace/-/blob/5f8f15149aa4a501df3164b20c32b8fe2ce9a2dc/kcms/lookandfeel/kcm.cpp#L128
There is no check that `entry.uninstalledFiles()` could be empty and if it empty - `entry.uninstalledFiles().constFirst()` returns wrong reference.
Fix is trivial:
```
diff '--color=auto' -r -U3 plasma-workspace-5.23.4.orig/kcms/lookandfeel/kcm.cpp plasma-workspace-5.23.4/kcms/lookandfeel/kcm.cpp
--- plasma-workspace-5.23.4.orig/kcms/lookandfeel/kcm.cpp       2021-11-30 16:16:17.000000000 +0300
+++ plasma-workspace-5.23.4/kcms/lookandfeel/kcm.cpp    2021-12-08 13:54:01.184973525 +0300
@@ -114,10 +114,12 @@
}
const KNSCore::EntryInternal entry = wrapper->entry();
auto removeItemFromModel = [&entry, this]() {
-        const QString guessedPluginId = QFileInfo(entry.uninstalledFiles().constFirst()).fileName();
-        const int index = pluginIndex(guessedPluginId);
-        if (index != -1) {
-            m_model->removeRows(index, 1);
+        if (!entry.uninstalledFiles().isEmpty()) {
+            const QString guessedPluginId = QFileInfo(entry.uninstalledFiles().constFirst()).fileName();
+            const int index = pluginIndex(guessedPluginId);
+            if (index != -1) {
+                m_model->removeRows(index, 1);
+            }
}
};
if (entry.status() == KNS3::Entry::Deleted && !entry.uninstalledFiles().isEmpty()) {
```

I think some plasma developer would fix it.
Comment 36 Bug Janitor Service 2021-12-08 17:27:24 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1264
Comment 37 Alexander Lohnau 2021-12-08 17:34:37 UTC
Git commit d168d2a50366c528dab65415cd4f6e82afdfb645 by Alexander Lohnau.
Committed on 08/12/2021 at 17:26.
Pushed by alex into branch 'master'.

lookandfeel: Add missing check if list of files is empty

M  +3    -1    kcms/lookandfeel/kcm.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/d168d2a50366c528dab65415cd4f6e82afdfb645
Comment 38 Nate Graham 2021-12-08 17:48:04 UTC
Git commit a8b613505e326dd047707e0a0e4d6f5ecc4a9baa by Nate Graham, on behalf of Alexander Lohnau.
Committed on 08/12/2021 at 17:48.
Pushed by ngraham into branch 'Plasma/5.23'.

lookandfeel: Add missing check if list of files is empty


(cherry picked from commit d168d2a50366c528dab65415cd4f6e82afdfb645)

M  +3    -1    kcms/lookandfeel/kcm.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/a8b613505e326dd047707e0a0e4d6f5ecc4a9baa
Comment 39 Tony 2021-12-09 04:06:13 UTC
Created attachment 144378 [details]
New crash information added by DrKonqi

systemsettings (5.23.80) using Qt 5.15.2

- What I was doing when the application crashed:
Crashed while installing "Win11OS" global theme, right after the root prompt require to install some the themes.

-- Backtrace (Reduced):
#4  0x00007fdd4a53a799 in QDir::fromNativeSeparators(QString const&) () at io/qdir.cpp:930
#5  0x00007fdd4a54e325 in QFileInfoPrivate::QFileInfoPrivate(QString const&) (file=..., this=0x5615bc0fc630) at /usr/include/c++/11/bits/atomic_base.h:338
#6  QFileInfo::QFileInfo(QString const&) (this=this@entry=0x7fffc6e3b1a0, file=...) at io/qfileinfo.cpp:347
#7  0x00007fdce43af2ac in operator() (__closure=<synthetic pointer>) at /usr/src/debug/plasma5-workspace-5.23.80git.20211207T175915~5dfe0885b-ku.75.2.x86_64/kcms/lookandfeel/kcm.cpp:128
#8  KCMLookandFeel::knsEntryChanged(KNSCore::EntryWrapper*) (wrapper=<optimized out>, this=0x5615b9353380) at /usr/src/debug/plasma5-workspace-5.23.80git.20211207T175915~5dfe0885b-ku.75.2.x86_64/kcms/lookandfeel/kcm.cpp:137
Comment 40 Ismael Asensio 2021-12-12 03:59:14 UTC
*** Bug 446861 has been marked as a duplicate of this bug. ***
Comment 41 Ismael Asensio 2021-12-12 04:00:48 UTC
*** Bug 446799 has been marked as a duplicate of this bug. ***
Comment 42 David Edmundson 2021-12-13 21:37:11 UTC

*** This bug has been marked as a duplicate of bug 446100 ***
Comment 43 Nate Graham 2021-12-13 22:46:00 UTC
Git commit 042761bd0cf24e90e36a5302051e9fc784286daa by Nate Graham, on behalf of David Edmundson.
Committed on 13/12/2021 at 22:45.
Pushed by ngraham into branch 'Plasma/5.23'.

[kcms/lookandfeel] Guard reading invalid first entry

removeItemFromModel calls entry.uninstalledFiles().constFirst

In the (re)installation case we don't check if it had uninstalled files.


(cherry picked from commit 24c337ded72945a11646543bd63c254b378f8f05)

M  +4    -1    kcms/lookandfeel/kcm.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/042761bd0cf24e90e36a5302051e9fc784286daa
Comment 44 Nate Graham 2021-12-13 22:46:13 UTC
*** Bug 446100 has been marked as a duplicate of this bug. ***
Comment 45 Nate Graham 2021-12-13 22:46:33 UTC
*** Bug 445768 has been marked as a duplicate of this bug. ***
Comment 46 Nate Graham 2021-12-13 22:46:36 UTC
*** Bug 446626 has been marked as a duplicate of this bug. ***
Comment 47 Nate Graham 2021-12-13 22:46:39 UTC
*** Bug 446812 has been marked as a duplicate of this bug. ***
Comment 48 Nate Graham 2021-12-13 22:46:42 UTC
*** Bug 446942 has been marked as a duplicate of this bug. ***
Comment 49 Nicolas Fella 2021-12-19 20:09:57 UTC
*** Bug 447239 has been marked as a duplicate of this bug. ***
Comment 50 Nicolas Fella 2021-12-19 20:12:59 UTC
*** Bug 447231 has been marked as a duplicate of this bug. ***
Comment 51 Jake 2021-12-20 06:01:21 UTC
Created attachment 144698 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.4) using Qt 5.15.2

- What I was doing when the application crashed:
installing new theme.  and tried to install a 2nd.  it crashed

-- Backtrace (Reduced):
#6  0x00007fc93cf6d799 in QDir::fromNativeSeparators(QString const&) () at io/qdir.cpp:930
#7  0x00007fc93cf81325 in QFileInfoPrivate::QFileInfoPrivate (file=..., this=0x55f1fc1db990) at /usr/include/c++/11/bits/atomic_base.h:338
#8  QFileInfo::QFileInfo (this=this@entry=0x7ffdf1bc4dc0, file=...) at io/qfileinfo.cpp:347
#9  0x00007fc9000f01d4 in operator() (__closure=<synthetic pointer>) at /usr/src/debug/plasma5-workspace-5.23.4-1.1.x86_64/kcms/lookandfeel/kcm.cpp:117
#10 KCMLookandFeel::knsEntryChanged (wrapper=<optimized out>, this=0x55f1f81dd2e0) at /usr/src/debug/plasma5-workspace-5.23.4-1.1.x86_64/kcms/lookandfeel/kcm.cpp:126
Comment 52 Antonio Rojas 2021-12-23 09:48:55 UTC
*** Bug 447411 has been marked as a duplicate of this bug. ***
Comment 53 Antonio Rojas 2021-12-23 09:49:07 UTC
*** Bug 447412 has been marked as a duplicate of this bug. ***
Comment 54 Antonio Rojas 2021-12-23 09:49:17 UTC
*** Bug 447413 has been marked as a duplicate of this bug. ***
Comment 55 Antonio Rojas 2021-12-23 09:49:40 UTC
*** Bug 447414 has been marked as a duplicate of this bug. ***
Comment 56 Carlos Castro 2021-12-24 17:00:11 UTC
Created attachment 144836 [details]
New crash information added by DrKonqi

systemsettings5 (5.23.4) using Qt 5.15.3

- What I was doing when the application crashed:

As usual every time I try to add a new topic SETTINGS crashes

- Unusual behavior I noticed:

As usual every time I try to add a new topic SETTINGS crashes

- Custom settings of the application:

None

-- Backtrace (Reduced):
#4  0x00007f6e835b49fd in QDir::fromNativeSeparators(QString const&) () at /usr/include/c++/9/bits/atomic_base.h:318
#5  0x00007f6e835c8b97 in QFileInfoPrivate::QFileInfoPrivate(QString const&) (file=..., this=0x56310e6cc300) at /usr/include/c++/9/bits/atomic_base.h:279
#6  QFileInfo::QFileInfo(QString const&) (this=0x7ffe5ce92808, file=...) at io/qfileinfo.cpp:347
#7  0x00007f6e67170134 in KCMLookandFeel::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:117
#8  KCMLookandFeel::knsEntryChanged(KNSCore::EntryWrapper*) (this=0x56310e63c450, wrapper=<optimized out>) at ./kcms/lookandfeel/kcm.cpp:126
Comment 57 Nicolas Fella 2021-12-30 12:23:54 UTC
*** Bug 447676 has been marked as a duplicate of this bug. ***
Comment 58 Nicolas Fella 2022-01-04 11:06:15 UTC
*** Bug 447910 has been marked as a duplicate of this bug. ***
Comment 59 Nicolas Fella 2022-01-04 11:06:43 UTC
*** Bug 447759 has been marked as a duplicate of this bug. ***
Comment 60 Nate Graham 2022-01-10 16:21:54 UTC
*** Bug 446713 has been marked as a duplicate of this bug. ***